[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# Sleep

Suspend execution of a program for a certain time.

## Declaration

Source position: osutilsh.inc line 28

`procedure Sleep(`
`milliseconds: Cardinal`
`);`

## Description

Sleep suspends the execution of the program for the specified number of milliseconds (milliseconds). After the specified period has expired, program execution resumes.

Remark: | The indicated time is not exact, i.e. it is a minimum time. No guarantees are made as to the exact duration of the suspension.

Documentation generated on: Feb 26 2014